<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds.ng (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds.ng (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/wire/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/dbcrypt/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.gds.ng</h1>
<div class="docSummary">
<div class="block">Provides the abstraction for connecting to Firebird either through a wire protocol implementation, a native firebird
 client or other means.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a></td>
<td class="colLast">
<div class="block">Interface defining the encoding and decoding for Firebird (numerical) data types.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a></td>
<td class="colLast">
<div class="block">Connection to a Firebird server (to a database or service).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a></td>
<td class="colLast">
<div class="block">Interface for blob operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a></td>
<td class="colLast">
<div class="block">Connection handle to a database.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng">FbDatabaseFactory</a></td>
<td class="colLast">
<div class="block">Factory for <a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng"><code>FbDatabase</code></a> instances.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a></td>
<td class="colLast">
<div class="block">Connection handle to a service.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></td>
<td class="colLast">
<div class="block">API for statement handles.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a></td>
<td class="colLast">
<div class="block">Handle for a transaction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</td>
<td class="colLast">
<div class="block">Common properties for database and service attach.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a></td>
<td class="colLast">
<div class="block">Connection properties for the Firebird connection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">Functional interface to process an information buffer (responses to p_info_*
 requests) returning an object of type T.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/InfoProcessor.StatementInfo.html" title="interface in org.firebirdsql.gds.ng">InfoProcessor.StatementInfo</a></td>
<td class="colLast">
<div class="block">Interface for information on a statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a></td>
<td class="colLast">
<div class="block">Connection properties for a Firebird service attachment.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;D extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>,?&gt;,S extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,?&gt;&gt;</td>
<td class="colLast">
<div class="block">Provides conversion of parameters (eg from <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IConnectionProperties</code></a> to a
 <a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>DatabaseParameterBuffer</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a></td>
<td class="colLast">
<div class="block">Callback interface for passing warnings.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractAttachProperties</a>&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</td>
<td class="colLast">
<div class="block">Abstract mutable implementation of <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IAttachProperties</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;T&gt;,C extends <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>&gt;</td>
<td class="colLast">
<div class="block">Abstract class with common logic for connections.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html" title="class in org.firebirdsql.gds.ng">AbstractEventHandle</a></td>
<td class="colLast">
<div class="block">Abstract implementation for event handle.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng">AbstractFbAttachment</a>&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;? extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>,? extends <a href="../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>&gt;&gt;</td>
<td class="colLast">
<div class="block">Common behavior for <a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng"><code>AbstractFbService</code></a> and <a href="../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng"><code>AbstractFbDatabase</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng">AbstractFbBlob</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng">AbstractFbDatabase</a>&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>,? extends <a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&gt;&gt;</td>
<td class="colLast">
<div class="block">Abstract implementation of <a href="../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng"><code>FbDatabase</code></a> with behavior common to the various
 implementations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng">AbstractFbService</a>&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,? extends <a href="../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>&gt;&gt;</td>
<td class="colLast">
<div class="block">Abstract service implementation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractFbTransaction.html" title="class in org.firebirdsql.gds.ng">AbstractFbTransaction</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="class in org.firebirdsql.gds.ng">AbstractImmutableAttachProperties</a>&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</td>
<td class="colLast">
<div class="block">Abstract immutable implementation of <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IAttachProperties</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng">AbstractParameterConverter</a>&lt;D extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng">IConnectionProperties</a>,?&gt;,S extends <a href="../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng">AbstractConnection</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng">IServiceProperties</a>,?&gt;&gt;</td>
<td class="colLast">
<div class="block">Abstract class for behavior common to <code>ParameterConverter</code> implementations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng">BlobLengthProcessor</a></td>
<td class="colLast">
<div class="block">Blob information processor for retrieving blob length.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng">DatatypeCoder.RawDateTimeStruct</a></td>
<td class="colLast">
<div class="block">Raw date/time value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">DefaultDatatypeCoder</a></td>
<td class="colLast">
<div class="block">The default datatype coder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/EncodingSpecificDatatypeCoder.html" title="class in org.firebirdsql.gds.ng">EncodingSpecificDatatypeCoder</a></td>
<td class="colLast">
<div class="block">Datatype coder wrapping another datatype coder and applying a specific encoding definition, while delegating other
 methods to the wrapped datatype coder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/ExecutionPlanProcessor.html" title="class in org.firebirdsql.gds.ng">ExecutionPlanProcessor</a></td>
<td class="colLast">
<div class="block">InfoProcessor to retrieve the (normal) execution plan of a statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbConnectionProperties.html" title="class in org.firebirdsql.gds.ng">FbConnectionProperties</a></td>
<td class="colLast">
<div class="block">Mutable implementation of <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IConnectionProperties</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng">FbExceptionBuilder</a></td>
<td class="colLast">
<div class="block">Builder for exceptions received from Firebird.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbImmutableConnectionProperties.html" title="class in org.firebirdsql.gds.ng">FbImmutableConnectionProperties</a></td>
<td class="colLast">
<div class="block">Immutable implementation of <a href="../../../../org/firebirdsql/gds/ng/IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IConnectionProperties</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbImmutableServiceProperties.html" title="class in org.firebirdsql.gds.ng">FbImmutableServiceProperties</a></td>
<td class="colLast">
<div class="block">Immutable implementation of <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IServiceProperties</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbServiceProperties.html" title="class in org.firebirdsql.gds.ng">FbServiceProperties</a></td>
<td class="colLast">
<div class="block">Mutable implementation of <a href="../../../../org/firebirdsql/gds/ng/IServiceProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IServiceProperties</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/SqlCountHolder.html" title="class in org.firebirdsql.gds.ng">SqlCountHolder</a></td>
<td class="colLast">
<div class="block">Class for holding the SQL counts (update, delete, select, insert) for a statement execution.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/SqlCountProcessor.html" title="class in org.firebirdsql.gds.ng">SqlCountProcessor</a></td>
<td class="colLast">
<div class="block">Info processor for retrieving affected record count.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/StatementInfoProcessor.html" title="class in org.firebirdsql.gds.ng">StatementInfoProcessor</a></td>
<td class="colLast">
<div class="block">InfoProcessor to retrieve the statement information associated with <a href="../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getStatementInfoRequestItems--"><code>AbstractFbStatement.getStatementInfoRequestItems()</code></a>
 and <a href="../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getParameterDescriptionInfoRequestItems--"><code>AbstractFbStatement.getParameterDescriptionInfoRequestItems()</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/SyncObject.html" title="class in org.firebirdsql.gds.ng">SyncObject</a></td>
<td class="colLast">
<div class="block">Object for synchronization that has an id that might be helpful during debugging.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/TransactionHelper.html" title="class in org.firebirdsql.gds.ng">TransactionHelper</a></td>
<td class="colLast">
<div class="block">Class with static helper methods for use with transactions</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng">FbBlob.SeekMode</a></td>
<td class="colLast">
<div class="block">Seek mode for <a href="../../../../org/firebirdsql/gds/ng/FbBlob.html#seek-int-org.firebirdsql.gds.ng.FbBlob.SeekMode-"><code>FbBlob.seek(int, org.firebirdsql.gds.ng.FbBlob.SeekMode)</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/StatementState.html" title="enum in org.firebirdsql.gds.ng">StatementState</a></td>
<td class="colLast">
<div class="block">Statement states for <a href="../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><code>FbStatement</code></a> implementations</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/StatementType.html" title="enum in org.firebirdsql.gds.ng">StatementType</a></td>
<td class="colLast">
<div class="block">Firebird statement types.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a></td>
<td class="colLast">
<div class="block">Transactions states.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.firebirdsql.gds.ng Description">Package org.firebirdsql.gds.ng Description</h2>
<div class="block">Provides the abstraction for connecting to Firebird either through a wire protocol implementation, a native firebird
 client or other means. These classes are used by the JDBC implementation of Jaybird.
 <p>
 The classes in this package (and its subpackages) can be used directly but the stability of the interface is
 <strong>not guaranteed</strong> (not even between point releases) for the next few versions. We strongly advise to
 use the JDBC implementation.
 </p>
 <p>
 The classes and interfaces provided by this package can be used to add additional protocol implementations, but given
 the expected volatility of the interface (see above) we urge you to use caution.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
</dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/wire/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/dbcrypt/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
